#486 Crash at startup / 0.96.9 / FreeBSD AMD64

closed-fixed
Core (35)
5
2012-04-05
2011-04-14
Anonymous
No

Hi,
0.96.8 works without issues.

0.96.9 crashes at startup.

Attaching GDB output.

Discussion

  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here

    Anonymous - 2011-04-14

    gdb output

     
    Last edit: Anonymous 2013-11-21
  • Andreas Schwarz

    Andreas Schwarz - 2011-07-05

    I have exactly the same problem, maybe a amd64 problem.

    asc@tapir:~ $ gtk-gnutella
    11-07-06 01:23:07 CRASH (pid=28912) for gtk-gnutella build #18867
    11-07-06 01:23:07 CRASH (pid=28912) by SIGSEGV after 0s -- stack was:
    WARNING: corrupted stack
    11-07-06 01:23:07 CRASH (pid=28912) end of line.
    Abort trap: 6 (core dumped)
    asc@tapir:~ $
    asc@tapir:~ $ uname -a
    FreeBSD tapir.schwarzes.net 8.2-STABLE FreeBSD 8.2-STABLE #0: Tue Jul 5 22:32:29 CEST 2011 root@tapir.schwarzes.net:/usr/obj/usr/src/sys/tapir.schwarzes.net amd64
    asc@tapir:~ $

     
  • Raphael Manfredi

    Can you check whether this crash happens with the newest release (0.97)?
    I don't have a 64-bit platform to test on unfortunately.

     
  • Andreas Schwarz

    Andreas Schwarz - 2011-08-01

    Same problem with 0.97.

    asc@tapir:~ $ gtk-gnutella
    11-08-01 03:23:09 CRASH (pid=97415) for gtk-gnutella build #19337
    11-08-01 03:23:09 CRASH (pid=97415) by SIGSEGV after 0s -- stack was:
    WARNING: corrupted stack
    11-08-01 03:23:09 CRASH (pid=97415) end of line.
    Abort trap: 6 (core dumped)
    asc@tapir:~ $
    asc@tapir:~ $ gdb gtk-gnutella gtk-gnutella.core
    GNU gdb 6.1.1 [FreeBSD]
    Copyright 2004 Free Software Foundation, Inc.
    GDB is free software, covered by the GNU General Public License, and you are
    welcome to change it and/or distribute copies of it under certain conditions.
    Type "show copying" to see the conditions.
    There is absolutely no warranty for GDB. Type "show warranty" for details.
    This GDB was configured as "amd64-marcel-freebsd"...(no debugging symbols found)...
    Core was generated by `gtk-gnutella'.
    Program terminated with signal 6, Aborted.
    Reading symbols from /usr/local/lib/libgtk-x11-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgtk-x11-2.0.so.0
    Reading symbols from /usr/local/lib/libgdk-x11-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgdk-x11-2.0.so.0
    Reading symbols from /usr/local/lib/libatk-1.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libatk-1.0.so.0
    Reading symbols from /usr/local/lib/libpangocairo-1.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpangocairo-1.0.so.0
    Reading symbols from /usr/local/lib/libXext.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXext.so.6
    Reading symbols from /usr/local/lib/libXrender.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXrender.so.1
    Reading symbols from /usr/local/lib/libXinerama.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXinerama.so.1
    Reading symbols from /usr/local/lib/libXi.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXi.so.6
    Reading symbols from /usr/local/lib/libXrandr.so.2...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXrandr.so.2
    Reading symbols from /usr/local/lib/libXcursor.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXcursor.so.1
    Reading symbols from /usr/local/lib/libXcomposite.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXcomposite.so.1
    Reading symbols from /usr/local/lib/libXdamage.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXdamage.so.1
    Reading symbols from /usr/local/lib/libgdk_pixbuf-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgdk_pixbuf-2.0.so.0
    Reading symbols from /usr/local/lib/libpangoft2-1.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpangoft2-1.0.so.0
    Reading symbols from /usr/local/lib/libgio-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgio-2.0.so.0
    Reading symbols from /usr/local/lib/libXfixes.so.3...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXfixes.so.3
    Reading symbols from /usr/local/lib/libcairo.so.2...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libcairo.so.2
    Reading symbols from /usr/local/lib/libX11.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libX11.so.6
    Reading symbols from /usr/local/lib/libpango-1.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpango-1.0.so.0
    Reading symbols from /lib/libm.so.5...(no debugging symbols found)...done.
    Loaded symbols for /lib/libm.so.5
    Reading symbols from /usr/local/lib/libfreetype.so.9...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libfreetype.so.9
    Reading symbols from /usr/local/lib/libfontconfig.so.1...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libfontconfig.so.1
    Reading symbols from /usr/local/lib/libgobject-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgobject-2.0.so.0
    Reading symbols from /usr/local/lib/libgmodule-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgmodule-2.0.so.0
    Reading symbols from /usr/local/lib/libgthread-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgthread-2.0.so.0
    Reading symbols from /usr/local/lib/libglib-2.0.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libglib-2.0.so.0
    Reading symbols from /usr/local/lib/libdbus-1.so.3...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libdbus-1.so.3
    Reading symbols from /usr/local/lib/libgnutls.so.47...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libgnutls.so.47
    Reading symbols from /lib/libz.so.5...(no debugging symbols found)...done.
    Loaded symbols for /lib/libz.so.5
    Reading symbols from /lib/libthr.so.3...(no debugging symbols found)...done.
    Loaded symbols for /lib/libthr.so.3
    Reading symbols from /lib/libc.so.7...(no debugging symbols found)...done.
    Loaded symbols for /lib/libc.so.7
    Reading symbols from /usr/local/lib/libiconv.so.3...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libiconv.so.3
    Reading symbols from /usr/local/lib/libpixman-1.so.9...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpixman-1.so.9
    Reading symbols from /usr/local/lib/libpng.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpng.so.6
    Reading symbols from /usr/local/lib/libxcb-shm.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libxcb-shm.so.0
    Reading symbols from /usr/local/lib/libxcb-render.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libxcb-render.so.0
    Reading symbols from /usr/local/lib/libxcb.so.2...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libxcb.so.2
    Reading symbols from /usr/local/lib/libXau.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXau.so.6
    Reading symbols from /usr/local/lib/libXdmcp.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libXdmcp.so.6
    Reading symbols from /usr/local/lib/libpthread-stubs.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpthread-stubs.so.0
    Reading symbols from /usr/lib/librpcsvc.so.5...(no debugging symbols found)...done.
    Loaded symbols for /usr/lib/librpcsvc.so.5
    Reading symbols from /usr/local/lib/libexpat.so.6...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libexpat.so.6
    Reading symbols from /usr/local/lib/libintl.so.9...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libintl.so.9
    Reading symbols from /usr/local/lib/libpcre.so.0...(no debugging symbols found)...done.
    Loaded symbols for /usr/local/lib/libpcre.so.0
    Reading symbols from /usr/local/lib/libnettle.so.4...done.
    Loaded symbols for /usr/local/lib/libnettle.so.4
    Reading symbols from /usr/local/lib/libgmp.so.10...done.
    Loaded symbols for /usr/local/lib/libgmp.so.10
    Reading symbols from /usr/local/lib/libhogweed.so.2...done.
    Loaded symbols for /usr/local/lib/libhogweed.so.2
    Reading symbols from /libexec/ld-elf.so.1...done.
    Loaded symbols for /libexec/ld-elf.so.1
    #0 0x00000008035626dc in kill () from /lib/libc.so.7
    [New Thread 804a041c0 (LWP 100250/initial thread)]
    (gdb) bt
    #0 0x00000008035626dc in kill () from /lib/libc.so.7
    #1 0x0000000803361dfd in raise () from /lib/libthr.so.3
    #2 0x000000000060428a in crash_handler ()
    #3 0x000000000063b1a4 in signal_trampoline ()
    #4 <signal handler called>
    #5 0x0000000000643e0d in stacktrace_unwind ()
    #6 0x000000000064aac9 in stacktrace_auto_tune ()
    #7 0x000000000064acf0 in stacktrace_init ()
    #8 0x0000000000414b4c in main ()
    (gdb) q
    asc@tapir:~ $

     
  • Raphael Manfredi

    Problem has been fixed locally, fix will be present in the git "devel" branch soon and should be in 0.98.3 or 0.99, whichever comes first.

     
  • Raphael Manfredi

    • assigned_to: nobody --> rmanfredi
    • status: open --> open-fixed
     
  • Raphael Manfredi

    • status: open-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks